org.apache.maven.scm.provider.clearcase.command.changelog

## Class ClearCaseChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.clearcase.command.changelog.ClearCaseChangeLogConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class ClearCaseChangeLogConsumer
    extends AbstractConsumer

Version:
  $Id: ClearCaseChangeLogConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Emmanuel Venisse, Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseChangeLogConsumer(ScmLogger logger, String userDatePattern)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getModifications()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseChangeLogConsumer

    public ClearCaseChangeLogConsumer(ScmLogger logger,
                              String userDatePattern)

### Method Detail

#### getModifications

    public List getModifications()

#### consumeLine

    public void consumeLine(String line)